function History(dbRequest){
	
    this.request=dbRequest;
    
	this.save=function(){
		this.request.onupgradeneeded = function (event) {
			var baseAMettreAjour = event.target.result;
			var ancienneVersion = event.oldVersion;
			var nouvelleVersion = event.newVersion;
			switch (ancienneVersion) {
				case 0:
					baseAMettreAjour.createObjectStore('history', { keyPath:'id',autoIncrement: true });
					break;
				case 1:
					break;	
			};
		}

		this.request.onsuccess = function () {
			var baseActive = this.result;
            // Nous démarrons une transaction avec la base sur la table utilisateurs en lecture-écriture
			var transaction = baseActive.transaction('history','readwrite');
			// Puis nous insérons notre valeur avec add() sur l'ObjectStore, en ajoutant en second argument la clé de notre valeur
			var ajout = transaction.objectStore('history').add({date:"10-10-15"});
			// Et enfin, comme l'ajout est asynchrone, nous attendons son retour
			ajout.onsuccess = function() {
			// Notre valeur a bien été insérée
			// Elle aura en plus une propriété id automatiquement ajoutée
				console.log("historique enregistrer");
			};
		};

		this.request.onerror= function(e){
			alert("erreur. . . ");
		};
	};
    
    this.recuperer=function(element){
		this.request.onupgradeneeded = function (event) {
			var baseAMettreAjour = event.target.result;
			var ancienneVersion = event.oldVersion;
			var nouvelleVersion = event.newVersion;
			switch (ancienneVersion) {
				case 0:
					baseAMettreAjour.createObjectStore('history', { keyPath:
					'id', autoIncrement: true });
					break;
				case 1:
					break;	
			};
		}

		this.request.onsuccess = function (event) {
			var baseActive = event.target.result;
			// Nous démarrons une transaction avec la base sur la table utilisateurs en lecture-écriture
            console.log(baseActive);
			var transactionLecture = baseActive.transaction('history','readonly');
	
			var recuperationPointeur =transactionLecture.objectStore('history').openCursor();

			recuperationPointeur.onsuccess = function (event) {
				// Nous récupérons le pointeur qui sait naviguer dans la table
				var pointeur = event.target.result;
                var max=0;
                //alert(pointeur.size);
                if(pointeur && pointeur.value){
                    if(max<parseInt(pointeur.value.id)){
                        element.val(pointeur.value.id);
                        max=parseInt(pointeur.value.id);
                    }
                    pointeur.continue()
                }

		};

		this.request.onerror= function(e){
			alert("erreur. . . ");
		};
	};
}